import { View, Image, ScrollView } from "@tarojs/components"
import userBgi from '@/assets/user/userBgi.png'
import avatar from '@/assets/user/defaultAvatar.png'
import MyCell from "@/components/MyCell"
import account from '@/assets/user/account.png'
import aboutUs from '@/assets/user/aboutUs.png'
import update from '@/assets/user/update.png'
import feedback from '@/assets/user/feedback.png'
import goto from '@/assets/user/goto.png'
import machinery from '@/assets/user/machinery.png'
import wallet from '@/assets/user/wallet.png'
import bankCard from '@/assets/user/bankCard.png'
import banner1 from '@/assets/banner/1.jpg'
import './style.less'
import { useState } from "react"

export default (props) => {
  const { isLogin } = props
  const [islogin, setIsLogin] = useState(false)
  const handleAccount = () => { console.log(5555) }
  const handleAboutUs = () => { }
  const handleUpdate = () => { }
  const handleFeedback = () => { }
  const handleLogin = () => { setIsLogin(true) }
  const goMachinery = () => { }
  const goWallet = () => { }
  const goBank = () => { }
  const signOut = () => { setIsLogin(false) }
  return (
    <ScrollView scrollY style={{ height: '100%' }}>
      <View className='userHead'>
        <Image src={userBgi} className='userBgi' />
        <View className='headcontent' onClick={handleLogin}>
          <Image src={islogin ? banner1 : avatar} className='avatar' />
          {
            islogin ? <View>
              <View>张三</View>
              <View>13612345678</View>
            </View> : <View>点击登录</View>
          }
        </View>
      </View>
      {
        islogin &&
        <View className='userCard'>
          <View
            className='cardItem'
            onClick={() => goMachinery()}
          >
            <Image className='cardImg' src={machinery}></Image>
            <View className='text'>我的农机</View>
          </View>
          <View
            className='cardItem'
            onClick={() => goWallet()}
          >
            <Image className='cardImg' src={wallet}></Image>
            <View className='text'>我的钱包</View>
          </View>
          <View
            className='cardItem'
            onClick={() => goBank()}
          >
            <Image className='cardImg' src={bankCard}></Image>
            <View className='text'>我的银行卡</View>
          </View>

        </View>
      }
      <View className='userContent'>
        <View className='userBox'>
          <MyCell icon={account} action={goto} user handleAction={handleAccount} >账号与安全</MyCell>
        </View>
        <View className='userBox'>
          <MyCell icon={aboutUs} action={goto} user handleAction={handleAboutUs}>关于我们</MyCell>
        </View>
        <View className='userBox'>
          <MyCell icon={update} action={goto} user handleAction={handleUpdate}>版本更新</MyCell>
        </View>
        <View className='userBox'>
          <MyCell icon={feedback} action={goto} user handleAction={handleFeedback}>意见反馈</MyCell>
        </View>
        {
          islogin && <View className='signOut' onClick={signOut}>退出登录</View>
        }
      </View>

    </ScrollView>
  )
}
